Subject: Re: Scented Geraniums

From: [email-masked] (Debbie DeNeese)
Date: Thu, 02 Mar 1995 19:48:44 -1812

In article <[email-masked]>, [email-masked]
(Pattynyne) wrote:

  > I am a  new gardener and my particular interest is scented geraniums....I
  > found a few at my local nursery a few months back..but being so out of
  > season..they are just hanging in there...most nurseries will start to get
  > them now or in the weeks to come....as far as I have read and
  > heard...usually it is best to buy a young plant rather than start from
  > seed....the best catalog I have seen so far...is Sandy Mush Herb
  > Farm...they have 70 varieties of Scented Geranium Plants...they range from
  > 2.00 to 4.00 for each plant...not too bad....I am waiting for some more
  > catalpgs to arrive....my local nursery also said they can special order me
  > some varities they don;t stock...I might try that route...so far I have
  > rose, lime, lemon, nutmeg, fruit cocktail..
  > 
 
Does anybody know how these grow in the South Florida area (Zone 10)?  I
remember as a kid having geraniums which grew well down here and would
like to try a few of the scented ones...

=http://inca.gate.net:80/~d_swartz/neurodisc/html/neurodisc.html=
 Debbie DeNeese                     Email:  [email-masked]
 Neurodisc Records, Inc.            (finger for pgp public key)             
 450 N. Park Road  Suite 700             (305) 963-0555 [voice]
 Hollywood, FL   33021                   (305) 964-1117 [fax]
-= http://dswartz.dffl.gate.net/neurodisc/html/neurodisc.html =-

---

From: [email-masked] (Kathleen Gruver)
Date: 6 Mar 1995 05:04:54 GMT

I also got some very nice scented geraniums from Logee's Greenhouses.  They offer an
assortment of different scented ones, 8 for $12, in the most recent catalog I have.
Phone # is (203)774-8038

Kathleen Gruver
[email-masked]

---

From: [email-masked] (Kathleen Gruver)
Date: 6 Mar 1995 05:04:54 GMT

Kathleen Gruver
[email-masked]